{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Enrollment Reports
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Enrollment Reports
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                {% load auth_extras %}
                {% if request.user|has_group:"principal" or request.user|has_group:"coe_staff" %}
                    <ul class="nav nav-tabs bar_tabs">
                        {% for department in departmentList %}
                            {% if department.pk == departmentInstance.pk %}
                                <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="true"
                                       id={{ department.pk }}
                                               data-toggle="tab" name="departmentTab">
                                        {{ department.acronym }}
                                    </a>
                                </li>
                            {% else %}
                                <li class="" onmouseover="$(this).css('cursor','pointer');">
                                    <a aria-expanded="false"
                                       id={{ department.pk }}
                                               data-toggle="tab" name="departmentTab">
                                        {{ department.acronym }}
                                    </a>
                                </li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                {% endif %}
                <ul class="nav nav-tabs bar_tabs">
                    {% for semester in semesterList %}
                        {% if semester.semesterInstance.pk == semesterInstance.pk %}
                            <li class="active" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li class="" onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ semester.semesterInstance.pk }}
                                           data-toggle="tab" name="semesterTab">
                                    {{ semester.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        {% if forloop.counter == 1 %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="true"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if staffCourseInstance.pk == course.staffCourseInstance.pk %}class="active" {% else %}
                                class="" {% endif %} onmouseover="$(this).css('cursor','pointer');">
                                <a aria-expanded="false"
                                   id={{ course.staffCourseInstance.pk }}
                                           data-toggle="tab" name="courseTab">
                                    {{ course.displayText }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                {% if noSemester %}
                    <div class="x_content">
                        <div class="alert alert-danger" role="alert" align="center">
                            <h4 style="font-size: 18px"> No Semester Plan has Created </h4>
                        </div>
                    </div>
                {% elif noCourses %}
                    {% if oldRegulation %}
                        <div class="x_content">
                            <div class="alert alert-danger" role="alert" align="center">
                                <h4 style="font-size: 18px"> No Elective and One Credit Courses are available </h4>
                            </div>
                        </div>
                    {% else %}
                        <div class="x_content">
                            <div class="alert alert-danger" role="alert" align="center">
                                <h4 style="font-size: 18px"> No Courses are available </h4>
                            </div>
                        </div>
                    {% endif %}
                {% else %}
                    <div>
                        {% if oldRegulation %}
                            <div role="alert" class="alert alert-success alert-dismissible fade in">
                                <h4> Students requested for Elective and One Credit Courses are displayed here ... </h4>
                            </div>
                        {% endif %}
                    </div>
                    <div id="accordion1" class="accordion" aria-multiselectable="true" role="tablist">
                        <br>
                        <br>
                        {% for student in studentList %}
                            <div class="panel">
                                <div class="clearfix">
                                    <div class="row">
                                        <div class="col-md-1" align="center">
                                            <br>
                                            {{ forloop.counter }}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                                        </div>
                                        <div class="col-md-11 col-sm-5 col-xs-12"
                                             style="background-color: #84cec7">
                                            <a class="panel-heading collapsed" aria-controls="collapseTwo"
                                               aria-expanded="false" style="background-color: #84cec7"
                                               href=#{{ student.student.roll_no }}-{{ forloop.counter }}
                                               data-parent="#accordion1" data-toggle="collapse" role="tab">

                                                <h4 class="panel-title">
                                                    <strong>{{ student.student }}</strong>
                                                    ({{ student.student.roll_no }})&nbsp;&nbsp;
                                                    <ul class="nav navbar-right panel_toolbox">
                                                        <li>
                                                            <i class="fa fa-chevron-down"></i>
                                                        </li>
                                                    </ul>
                                                </h4>
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div id={{ student.student.roll_no }}-{{ forloop.counter }}
                                     style="background-color: #90e0d9"
                                     class="panel-collapse collapse" aria-labelledby="headingTwo"
                                     role="tabpanel"
                                     aria-expanded="false">
                                    <div class="panel-body">
                                        <div class="x_content">

                                            <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                                                <div class="profile_img">
                                                    <div id="crop-avatar">
                                                        {% load static %}
                                                        {% get_media_prefix as MEDIA_ROOT %}
                                                        {% if student.student.gender == "M" %}
                                                            <img src={% if user.avatar %}
                                                                {{ MEDIA_ROOT }}{{ student.student.avatar }}{% else %}
                                                                "{{ MEDIA_ROOT }}/images/male.png"
                                                            {% endif %}
                                                                 alt="No image" height="250px"
                                                                 width="250px"><br/>
                                                        {% endif %}
                                                        {% if student.student.gender == "F" %}
                                                            <img src={% if user.avatar %}
                                                                {{ MEDIA_ROOT }}{{ student.student.avatar }}{% else %}
                                                                "{{ MEDIA_ROOT }}/images/female.png"
                                                            {% endif %}
                                                                 height="250px" width="250px"><br/>
                                                        {% endif %}
                                                    </div>
                                                </div>
                                            </div>
                                            <ul class="nav navbar-right panel_toolbox">
                                                <a href="../{{ student.student.roll_no }}"
                                                   target="_blank" style="font-size: large; color: #4526e0"
                                                   class="fa fa-hand-o-right">View
                                                    Profile</a>
                                            </ul>
                                            <div class="col-md-8 col-sm-8 col-xs-12">

                                                <table class="table table-hover" style="color: #e11e56"
                                                       title="Student Details">
                                                    <tbody>
                                                    <tr>
                                                        <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                                                            Name
                                                        </th>
                                                        <td>{{ student.student }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                                                            ID
                                                        </th>
                                                        <td>{{ student.student.roll_no }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                                                            Email id
                                                        </th>
                                                        <td>{{ student.student.user.email }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th>
                                                            {% if student.student.gender == "M" %}
                                                                <i class="fa fa-mars"></i>&nbsp;&nbsp;
                                                            {% endif %}
                                                            {% if student.student.gender == "F" %}
                                                                <i class="fa fa-venus"></i>&nbsp;&nbsp;
                                                            {% endif %}
                                                            Gender
                                                        </th>
                                                        <td>
                                                            {% if student.student.gender == "M" %}
                                                                Male
                                                            {% endif %}
                                                            {% if student.student.gender == "F" %}
                                                                Female
                                                            {% endif %}
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                                                            Department
                                                        </th>
                                                        <td>{{ student.student.department }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-group"></i>&nbsp;&nbsp;
                                                            Batch
                                                        </th>
                                                        <td>{{ student.student.batch }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                                                            Qualification
                                                        </th>
                                                        <td>{{ student.student.qualification }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                                                            Phone no
                                                        </th>
                                                        <td>{{ student.student.phone_number }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-calendar"></i>&nbsp;&nbsp;
                                                            Date of Birth
                                                        </th>
                                                        <td>{{ student.student.dob }}</td>
                                                    </tr>
                                                    <tr>
                                                        <th><i class="fa fa-hand-o-up"></i>&nbsp;&nbsp;
                                                            Date of Joining
                                                        </th>
                                                        <td>{{ student.student.date_of_joining }}</td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>
                        {% endfor %}
                        <div class="clearfix"></div>
                    </div>


                    {% if not studentList %}
                        <div role="alert" class="alert alert-success alert-dismissible fade in">
                            <h4> No students are avail. to approve </h4>
                        </div>
                    {% endif %}
                {% endif %}


            </div>
        </div>
    </div>

    <form id="dummyForm" method="POST">
        {% csrf_token %}
    </form>


    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="departmentTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'departmentPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="semesterTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'semesterPk'});
                $hiddenInput.appendTo('#dummyForm');

                $('#dummyForm').submit();

            });
        });

        $('document').ready(function () {
            $('[name="courseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('#dummyForm');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('#dummyForm');


                $('#dummyForm').submit();

            });
        });

    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#print').click(function () {
                {#                $('#selectionTabs').hide();#}
                {#                $('#printShowable').show();#}
                var printContent = document.getElementById('printArea');
                var headContent = document.getElementById('headcontent');
                var title = document.getElementById('printShowable');
                var WinPrint = window.open('', '', '_self');
                WinPrint.document.write(headContent.innerHTML);
                WinPrint.document.write(title.innerHTML);
                WinPrint.document.write(printContent.innerHTML);
                WinPrint.document.close();
                WinPrint.focus();
                WinPrint.print();
                WinPrint.close();
                {#                $('#printShowable').hide();#}
                {#                $('#selectionTabs').show();#}
            });
        });
    </script>
{% endblock %}